package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.IfaImportedNonavFund;
import com.tanpu.fund.entity.generator.IfaImportedNonavFundExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface IfaImportedNonavFundMapper {
    long countByExample(IfaImportedNonavFundExample example);

    int deleteByExample(IfaImportedNonavFundExample example);

    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(IfaImportedNonavFund record);

    int insertOrUpdate(IfaImportedNonavFund record);

    int insertOrUpdateSelective(IfaImportedNonavFund record);

    int insertOrUpdateWithBLOBs(IfaImportedNonavFund record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(IfaImportedNonavFund record);

    List<IfaImportedNonavFund> selectByExampleWithBLOBs(IfaImportedNonavFundExample example);

    List<IfaImportedNonavFund> selectByExample(IfaImportedNonavFundExample example);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    IfaImportedNonavFund selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") IfaImportedNonavFund record, @Param("example") IfaImportedNonavFundExample example);

    int updateByExampleWithBLOBs(@Param("record") IfaImportedNonavFund record, @Param("example") IfaImportedNonavFundExample example);

    int updateByExample(@Param("record") IfaImportedNonavFund record, @Param("example") IfaImportedNonavFundExample example);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(IfaImportedNonavFund record);

    int updateByPrimaryKeyWithBLOBs(IfaImportedNonavFund record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(IfaImportedNonavFund record);

    int updateBatch(List<IfaImportedNonavFund> list);

    int updateBatchSelective(List<IfaImportedNonavFund> list);

    int batchInsert(@Param("list") List<IfaImportedNonavFund> list);
}